Retrieving resource configuration for all jobs (UI-optimized)

Retrieving resource configuration for all jobs (UI-optimized)
Retrieving resource configuration for all jobs (UI-optimized)

Returns the compute and disk configuration for all jobs on the product in a format optimized for UI display purposes.

This endpoint includes additional UI metadata such as instance count options, disabled states, and automatic values that are useful for rendering resource configuration forms.

Note: API consumers that do not need UI-specific metadata should prefer the resource configuration endpoint at /api/v0/staged/products/{product_guid}/resources instead.

Request
URI
GET
https://{opsmanager-installation}/api/v0/staged/products/{product_guid}/jobs/resource_configs
COPY
Path Parameters
string
product_guid
Required

The guid of the product


Responses
200

OK

Returns JobResourceConfigs of type(s) application/json
{
    "jobs": [
        {
            "guid": "string",
            "label": "string",
            "instances": {
                "value": 0,
                "disabled": false,
                "automatic": 0,
                "show_custom": false,
                "options": [
                    0
                ]
            },
            "vm_type": {
                "value": "string",
                "automatic": "string"
            },
            "disk_type": {
                "required": false,
                "value": "string",
                "automatic": "string",
                "disabled": false
            },
            "internet_connected": false,
            "elb_names": [
                "string"
            ],
            "nsxt": {
                "ns_groups": [
                    "string"
                ],
                "vif_type": "string",
                "lb": {
                    "server_pools": [
                        {
                            "name": "string",
                            "port": "number"
                        }
                    ]
                }
            },
            "avi": {
                "pools": [
                    "string"
                ]
            },
            "floating_ips": "string"
        }
    ]
}
array of jobs
jobs
Required

jobs


400

Setup is not completed

Returns RequireSetupCompleted of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


403

Forbidden

Returns ForbiddenResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


404

Product not found

Returns RequiresActiveProduct of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/v0/staged/products/{product_guid}/jobs/resource_configs